
%global meadversion 1.13.0
%global namedversion 1.13.0.redhat-3
%global meadalpha .redhat_3
%global meadrel .1
%global serial 2
%global namedversionrel redhat-3

%{?scl:%scl_package okio} 
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 1.13.0.redhat-3

Name:		    %{?scl_prefix}okio
Summary:	    A modern I/O API for Java
Version:	    %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source100: okio-parent-1.13.0.redhat-3-project-sources.tar.gz
Source102: okio-1.13.0.redhat-3-sources.jar
Source103: okio-1.13.0.redhat-3.pom
Source104: okio-parent-1.13.0.redhat-3.pom
Source105: benchmarks-1.13.0.redhat-3.pom
Source106: okio-1.13.0.redhat-3.jar
Source107: benchmarks-1.13.0.redhat-3-sources.jar
Source108: benchmarks-1.13.0.redhat-3.jar
%endif

License:        ASL 2.0
URL:            https://github.com/square/okio
Epoch:          0

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for okio
Group:          Development/Java


%description javadoc
Javadoc for okio
%endif

%package -n %{?scl_prefix}okio-benchmarks
Summary:        Okio Performance Benchmarks
Group:          Development/Java

%description -n %{?scl_prefix}okio-benchmarks
%{summary}.

%prep
%setup -q -n okio-parent-%{namedversion} -T -b 100

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

#jars
%{__cp} -p %{_sourcedir}/benchmarks-%{namedversion}.jar %{buildroot}%{_javadir}/benchmarks-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/okio-%{namedversion}.jar %{buildroot}%{_javadir}/okio-%{namedversion}.jar

%{__cp} -p %{_sourcedir}/benchmarks-%{namedversion}-sources.jar %{buildroot}%{_javadir}/benchmarks-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/okio-%{namedversion}-sources.jar %{buildroot}%{_javadir}/okio-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

#javadoc
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/okio-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/okio-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/okio-%{namedversion} -x META-INF/\*
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s okio-%{namedversion} okio)
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.md LICENSE.txt CONTRIBUTING.md CHANGELOG.md BUG-BOUNTY.md
%{_javadir}/okio-%{namedversion}.jar
%{_javadir}/okio.jar
%{_javadir}/okio-%{namedversion}-sources.jar
%{_javadir}/okio-sources.jar

%files -n %{?scl_prefix}okio-benchmarks
%defattr(0644,root,root,0755)
%{_javadir}/benchmarks-%{namedversion}.jar
%{_javadir}/benchmarks.jar
%{_javadir}/benchmarks-%{namedversion}-sources.jar
%{_javadir}/benchmarks-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/okio
%{_javadocdir}/okio-%{namedversion}
%endif

%changelog
* Wed Sep 26 2018 Permaine Cheung <pcheung@redhat.com> - 1.13.0-2.redhat_3.1
- Use original jarname and move main jar back into mian package

* Wed Sep 26 2018 Yong Yang <yyang@redhat.com> - 1.13.0-1.redhat_3.1
-  1.13.0.redhat-3 

* Wed Sep 26 2018 Yong Yang <yyang@redhat.com> - 1.13.0.redhat-3
- Init build
